package ru.kirillius.pf.sdn.api.flow;

import ru.kirillius.pf.sdn.api.properties.PropertyDescriptor;

import java.util.Map;

public interface FlowFunction {
    void apply(CallContext context);

    Map<String, PropertyDescriptor> getProperties();

    boolean hasInputs();

    boolean hasOutputs();
}
